MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026243Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-05-20 14:542015-10-23 20:51
Reporterakz 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026243: Boolean operations failed on shapes with fillets
DescriptionThe attached BRep file contains a complex model with fillets at junction of model parts.

Try to copy and rotate new shape on 90 degrees as it described in Steps to reproduce (variables are defined in the script). BOP failed on such arguments.

A result of bfuse, bcut or bcommon is an empty compound:

Output of bopargcheck:
Draw[300]> bopargcheck _model _copy #F
Made faulty shape: s1be_1
Made faulty shape: s2be_1
Made faulty shape: s1be_2
Made faulty shape: s2be_2
Made faulty shape: s1be_3
Made faulty shape: s2be_3
Made faulty shape: s1be_4
Made faulty shape: s2be_4
Made faulty shape: s1be_5
Made faulty shape: s2be_5
Made faulty shape: s1be_6
Made faulty shape: s2be_6
Made faulty shape: s1be_7
Made faulty shape: s2be_7
Made faulty shape: s1be_8
Made faulty shape: s2be_8
Made faulty shape: s2COnS_1 (MaxDist = 1.829422399560871e-006, MaxPar = 0.586004
84552583931)
Faulties for FIRST shape found : 8
---------------------------------
Shapes are not suppotrted by BOP: NO
Self-Intersections : NO
Check for SI has been aborted : NO
Too small edges : NO
Bad faces : NO
Too close vertices : NO
Too close edges : YES Cases(8) Total shapes(12)
Shapes with Continuity C0 : NO
Invalid Curve on Surface : NO

Faulties for SECOND shape found : 9
---------------------------------
Shapes are not suppotrted by BOP: NO
Self-Intersections : NO
Check for SI has been aborted : NO
Too small edges : NO
Bad faces : NO
Too close vertices : NO
Too close edges : YES Cases(8) Total shapes(14)
Shapes with Continuity C0 : NO
Invalid Curve on Surface : YES Cases(1) Total shapes(2)

8 cases of "Too close edges" all are edges at fillets.
Steps To Reproducerestore ANC101.brep _model
tcopy _model _copy
trotate _copy 155. 100.75 0 0 0 1 90
bcommon res _model _copy

TagsNo tags attached.
Test case numberbugs modalg_6 bug26243_1, bug26243_2, bug26243_3
Attached Filespng file icon ANC101_gl.png (21,526 bytes) 2015-05-20 15:07
? file icon ANC101.brep (155,991 bytes) 2015-05-28 18:19

- Relationships
parent of 0026263closedbugmaster Inconsistent results of bopargcheck and checkcurveonsurf commands 
related to 0026244closedbugmaster Destructive results of simplification with DRAW command 'unifysamedom' after intersection of two complex models 

-  Notes
(0041552)
pkv (developer)
2015-05-26 13:13

Dear msv.

The attempt to run the script:
source ANC101Compile.tcl
leads to exception on Debian Linux 7:

An exception was caught 0x7f7b71e72540 : Standard_Failure: There are no suitable edges for chamfer or fillet
** Exception ** 0x7f7b71e72540 : Standard_Failure: There are no suitable edges for chamfer or fillet
Tcl Exception: ** Exception ** 0x7f7b71e72540 : Standard_Failure: There are no suitable edges for chamfer or fillet

at line 259:
blend _model _model 2 _model_29

So, the next "Steps to reproduce" can not be done.
Please provide the normal execution of "Steps to reproduce"

cat /etc/issue
Debian GNU/Linux 7 \n \l
(0041600)
msv (developer)
2015-05-27 12:32

Dear akz, please update the script to avoid exception.
(0041679)
akz (developer)
2015-05-28 17:01
edited on: 2015-05-28 17:18

I've updated script with correct blending, as i thing. However, I'd like to notice that original script is correctly executed on Windows without any exceptions.

Last revision of OCCT version i've used:

Revision: 485a1040e970a44ce4b7251cf0f7702fd80ffcff
Author: apn <apn@opencascade.com>
Date: 15-May-15 3:30:41 PM
Message:
Update of testing cases for Debian 7.0 64 bit

(0041682)
msv (developer)
2015-05-28 18:14

May be the source of incorrect work on Linux is due to instability of sequence of edges that blend algorithm puts into result.
Anton, in this case, as the bug is focused on Booleans, I suggest that you save the result of blend on windows and attach it here, and modify the steps to reproduce to restore the operand instead of creation it anew.
(0041686)
akz (developer)
2015-05-28 18:22

BRep model had uploaded
(0043718)
git (administrator)
2015-07-31 09:42

Branch CR26243 has been created by pkv.

SHA-1: 380eaf77b9ecffca3496b35fe03ae903554a9cd5


No new revisions were added by this update.
(0043719)
git (administrator)
2015-07-31 09:53

Branch CR26243 has been updated by pkv.

SHA-1: d5013a76b93a132f74d522adaa5125f3d4ab4b38


Detailed log of new commits:

Author: pkv
Date: Fri Jul 31 09:52:43 2015 +0300

    0026243: Boolean operations failed on shapes with fillets
    
    I. New features:
    No new features
    
    II. Changes:
    II.1. class IntAna_QuadQuadGeo
    - method:
    void IntAna_QuadQuadGeo::Perform(const gp_Pln& Pln,
                                     const gp_Torus& Tor,
                                     const Standard_Real Tol)
    the condition to obtain the one solution
    for the case when the torus touches the plane
    has been changed to overcome round-off errors.
    
    III. Modified entities:
    packages:
    IntAna

(0043721)
pkv (developer)
2015-07-31 10:12

Git branch CR26243 is ready to review.
(0043722)
emv (developer)
2015-07-31 10:14

Reviewed.
(0043789)
git (administrator)
2015-08-03 13:05

Branch CR26243_1 has been created by pkv.

SHA-1: a7cb665a6a66f65ee9c2f4a74e8b503305232227


No new revisions were added by this update.
(0043790)
git (administrator)
2015-08-03 13:15

Branch CR26243_1 has been updated by pkv.

SHA-1: 0341ce6d60c2d1b017b64283bc5971d74c061db2


Detailed log of new commits:

Author: pkv
Date: Mon Aug 3 13:14:53 2015 +0300

    0026243: Boolean operations failed on shapes with fillets
    
    Detected bugs have been fixed.

(0043791)
pkv (developer)
2015-08-03 13:16

Git branch CR26243_1 is ready to review.
(0043792)
msv (developer)
2015-08-03 14:34

Reviewed.
(0043812)
mkv (tester)
2015-08-04 17:11

Dear BugMaster,
Branch CR26243_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 0341ce6d60c2d1b017b64283bc5971d74c061db2

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
bugs modalg_6 bug26243: FAILED
http://occt-tests/CR26243-1-master-occt-64/Debian70-64/bugs/modalg_6/bug26243.html [^]
http://occt-tests/CR26243-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26243.html [^]

Testing on Linux:
occt component :
Total MEMORY difference: 91795756 / 91600831 [+0.21%]
Total CPU difference: 17890.809999999172 / 18131.509999999096 [-1.33%]
products component :
Total MEMORY difference: 24829418 / 24843720 [-0.06%]
Total CPU difference: 7180.299999999987 / 6151.349999999959 [+16.73%]

Testing on Windows:
occt component :
Total MEMORY difference: 57612340 / 57633878 [-0.04%]
Total CPU difference: 16180.798122399014 / 16352.040420099176 [-1.05%]
products component :
Total MEMORY difference: 16011870 / 16018438 [-0.04%]
Total CPU difference: 5174.880772099959 / 5283.23906669996 [-2.05%]

There are no differences in images found by testdiff.
(0043813)
git (administrator)
2015-08-04 17:12

Branch CR26243_1 has been updated by mkv.

SHA-1: 1721c35e5373acfbbf60ad56a330d7000d1765d9


Detailed log of new commits:

Author: mkv
Date: Tue Aug 4 17:12:15 2015 +0300

    Test case for issue CR26243

(0043814)
mkv (tester)
2015-08-04 17:12

Dear pkv,
could you please review following test case
bugs modalg_6 bug26243
(0043824)
pkv (developer)
2015-08-05 06:03

OK with the test case
bugs modalg_6 bug26243
(0043844)
git (administrator)
2015-08-05 13:49

Branch CR26243_1 has been updated by mkv.

SHA-1: d57508ecfd0f525c6029094eed2237a604503c72


Detailed log of new commits:

Author: mkv
Date: Wed Aug 5 13:49:15 2015 +0300

    Test cases for issue CR26243

(0043845)
mkv (tester)
2015-08-05 13:53

Dear BugMaster,
New test cases for issue CR26243 are created, tested and pushed to branch CR26243_1 of occt git-repository.

bugs modalg_6 bug26243_1: OK
http://occt-tests/CR26243-1-master-occt-64/Debian70-64/bugs/modalg_6/bug26243_1.html [^]
http://occt-tests/CR26243-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26243_1.html [^]

bugs modalg_6 bug26243_2: OK
http://occt-tests/CR26243-1-master-occt-64/Debian70-64/bugs/modalg_6/bug26243_2.html [^]
http://occt-tests/CR26243-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26243_2.html [^]

bugs modalg_6 bug26243_3: OK
http://occt-tests/CR26243-1-master-occt-64/Debian70-64/bugs/modalg_6/bug26243_3.html [^]
http://occt-tests/CR26243-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26243_3.html [^]
(0044125)
git (administrator)
2015-08-14 10:51

Branch CR26243_1 has been deleted by inv.

SHA-1: d57508ecfd0f525c6029094eed2237a604503c72
(0044133)
git (administrator)
2015-08-14 10:52

Branch CR26243 has been deleted by inv.

SHA-1: d5013a76b93a132f74d522adaa5125f3d4ab4b38

- Related Changesets
occt: master 577c6f0d
Timestamp: 2015-08-06 09:27:34
Author: pkv
Committer: bugmaster
Details ] Diff ]
0026243: Boolean operations failed on shapes with fillets

Detected bugs have been fixed.

Test case for issue CR26243
mod - src/IntAna/IntAna_QuadQuadGeo.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26243_1 Diff ] File ]
add - tests/bugs/modalg_6/bug26243_2 Diff ] File ]
add - tests/bugs/modalg_6/bug26243_3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-20 14:54 akz New Issue
2015-05-20 14:54 akz Assigned To => msv
2015-05-20 14:54 akz File Added: ANC101Compile.tcl
2015-05-20 14:54 akz File Added: s1.brep
2015-05-20 14:55 akz Description Updated View Revisions
2015-05-20 14:57 akz Summary Boolean operationsa failed on shapes with fillets => Boolean operations failed on shapes with fillets
2015-05-20 15:00 akz File Deleted: s1.brep
2015-05-20 15:02 akz Description Updated View Revisions
2015-05-20 15:02 akz Steps to Reproduce Updated View Revisions
2015-05-20 15:03 msv Assigned To msv => pkv
2015-05-20 15:03 msv Status new => assigned
2015-05-20 15:03 msv Target Version => 7.1.0
2015-05-20 15:07 ssv File Added: ANC101_gl.png
2015-05-20 15:13 akz Relationship added related to 0026244
2015-05-25 11:56 pkv Relationship added parent of 0026263
2015-05-26 13:13 pkv Note Added: 0041552
2015-05-26 13:14 pkv Assigned To pkv => msv
2015-05-27 12:30 msv Assigned To msv => akz
2015-05-27 12:32 msv Note Added: 0041600
2015-05-27 12:32 msv Status assigned => feedback
2015-05-28 16:56 akz File Deleted: ANC101Compile.tcl
2015-05-28 16:56 akz File Added: ANC101Compile.tcl
2015-05-28 16:57 akz Assigned To akz => msv
2015-05-28 17:01 akz Note Added: 0041679
2015-05-28 17:17 akz Note Edited: 0041679 View Revisions
2015-05-28 17:18 akz Note Edited: 0041679 View Revisions
2015-05-28 17:18 akz Note Edited: 0041679 View Revisions
2015-05-28 18:14 msv Note Added: 0041682
2015-05-28 18:14 msv Assigned To msv => akz
2015-05-28 18:19 akz File Added: ANC101.brep
2015-05-28 18:19 akz File Deleted: ANC101Compile.tcl
2015-05-28 18:21 akz Description Updated View Revisions
2015-05-28 18:21 akz Steps to Reproduce Updated View Revisions
2015-05-28 18:22 akz Note Added: 0041686
2015-05-28 18:22 akz Assigned To akz => msv
2015-05-28 18:28 msv Assigned To msv => pkv
2015-05-28 18:28 msv Status feedback => assigned
2015-07-31 09:42 git Note Added: 0043718
2015-07-31 09:53 git Note Added: 0043719
2015-07-31 10:10 pkv Steps to Reproduce Updated View Revisions
2015-07-31 10:12 pkv Note Added: 0043721
2015-07-31 10:12 pkv Assigned To pkv => emv
2015-07-31 10:12 pkv Status assigned => resolved
2015-07-31 10:14 emv Note Added: 0043722
2015-07-31 10:14 emv Assigned To emv => bugmaster
2015-07-31 10:14 emv Status resolved => reviewed
2015-07-31 14:14 emv Assigned To bugmaster => pkv
2015-07-31 14:14 emv Status reviewed => assigned
2015-08-03 13:05 git Note Added: 0043789
2015-08-03 13:15 git Note Added: 0043790
2015-08-03 13:15 pkv Status assigned => resolved
2015-08-03 13:16 pkv Note Added: 0043791
2015-08-03 13:16 pkv Assigned To pkv => msv
2015-08-03 14:34 msv Note Added: 0043792
2015-08-03 14:34 msv Status resolved => reviewed
2015-08-03 15:28 mkv Assigned To msv => mkv
2015-08-04 17:11 mkv Note Added: 0043812
2015-08-04 17:12 git Note Added: 0043813
2015-08-04 17:12 mkv Note Added: 0043814
2015-08-04 17:13 mkv Test case number => bugs modalg_6 bug26243
2015-08-04 17:13 mkv Assigned To mkv => pkv
2015-08-04 17:13 mkv Status reviewed => feedback
2015-08-05 06:03 pkv Note Added: 0043824
2015-08-05 06:03 pkv Assigned To pkv => mkv
2015-08-05 13:49 git Note Added: 0043844
2015-08-05 13:53 mkv Note Added: 0043845
2015-08-05 13:53 mkv Assigned To mkv => bugmaster
2015-08-05 13:53 mkv Status feedback => tested
2015-08-05 13:54 mkv Test case number bugs modalg_6 bug26243 => bugs modalg_6 bug26243_1, bug26243_2, bug26243_3
2015-08-07 16:01 bugmaster Changeset attached => occt master 577c6f0d
2015-08-07 16:01 bugmaster Status tested => verified
2015-08-07 16:01 bugmaster Resolution open => fixed
2015-08-07 16:12 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:51 git Note Added: 0044125
2015-08-14 10:52 git Note Added: 0044133
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker